// TEST of ICOMMSG
// file: icomtest.cpp
// Version 1.0
// Date: 5/31/00

#include <iostream.h>
#include "loctypes.h"
#include "icommsg.hpp"
#include "dospc.h"

static VOID DisplayList() {
	cout << endl;
	cout << "0 = Exit test program" << endl;
	cout << "1 = Set VFO to 145.123456 MHz" << endl;
	cout << "2 = Set VFO to 435.987654 MHz" << endl;
	cout << "3 = Set Mode to USB" << endl;
	cout << "4 = Set Mode to CW" << endl;
	cout << "5 = Read VFO Frequency" << endl;
	cout << "Please enter a test number:";
}

const UINT MAXTESTNUMBER = 5;

main() {
	cout << "ICOM IC-821 Test program #1" << endl;
	cout << "Runs on COM 2 at 1200 bps" << endl;

	ICOMMSG	Msg( 0x4c,	// ICOM Address
		2,		// unComPort,
		0,		// unBitRate,
		0,		// unIRQ,
		0);		// IOADDRESS Address

	if (!Msg.IsOperational()) {
		cout << "ERROR: Com port failed to open" << endl;
		return 1; 
	}
		
	// Loop until user quits
	UINT	unTestNumber;
	BOOL	eDone = BOOL_FALSE;

	do {
		DisplayList();
		cin >> unTestNumber;
		if (unTestNumber > MAXTESTNUMBER) {
			cout << "Sorry, that is not a valid test number";
			cout << endl << endl;
		}
		else {
			switch(unTestNumber) {
			case 0:	// Exit
				eDone = BOOL_TRUE;
				break;
			case 1:
				Msg.SendWriteFrequency(145123456L);
				break;
			case 2:
				Msg.SendWriteFrequency(435987654L);
				break;
			case 3:
				Msg.SendWriteMode(MODULATION_USB);
				break;
			case 4:
				Msg.SendWriteMode(MODULATION_CW);
				break;
			case 5: 
				Msg.SendCmd(ICOMMSG_READFREQ);
				break;
			default:
				break;
			}
		}
//DEBUG
		if (!eDone) {
			sleep(2);
			INT i;
			for (i=0; i < 100; i++) {
				if (Msg.IsReady()) {
					if (Msg.GetCmd() == ICOMMSG_READFREQ) {
						cout << "***** VFO = ";
					 	cout << Msg.GetFrequency();
					 	cout << " Hz" << endl;
					}
				 	break;
				}
				if (i == 99) {
				    cout << "**** No response from radio ****";
				    cout << endl;
				}
			}
		}

/*************************
		cout << "DEBUG: INPUT= "  << hex;
		for (i = 0; i < 12; i++) {
			cout << (INT) *(Msg.pDebugInput + i) << " ";
		}
		cout << endl;
		cout << "DEBUG: OUTPUT= ";
		for (i = 0; i < 12; i++) {
			cout << (INT) *(Msg.pDebugOutput + i) << " ";
		}
		cout << dec << endl;
*************************/

	} while (!eDone);

	cout << "Thanks for running this test!" << endl;
	cout << "73, Tony AA2TX" << endl;
	return 0;
}
