/****************************************************************************
Date: 6/28/95
File: istsr.cpp
Description:	Is TSR Loaded? utility
	Returns BOOL_TRUE if TSR with given command interrupt and signature
	is loaded.
*****************************************************************************/

#include "istsr.hpp"
#include <string.h>
#include "dospc.h"



BOOL IsTSRLoaded(INT nInterrupt, INT nOffset, const CHAR* pszSignature) {

	CHAR FAR* pCmdVector = (CHAR FAR*) getvect(nInterrupt);
	pCmdVector += nOffset;
	if ( _fstrncmp(pCmdVector, pszSignature, strlen(pszSignature)) ) {
		// no match
		return BOOL_FALSE;
	}
	return BOOL_TRUE;
}
