// TEST of FT-847
// file: test847.cpp
// Version 1.0
// Date: 1/20/99

#include <iostream.h>
#include "loctypes.h"
#include "comdrv.hpp"

static VOID DisplayList() {
	cout << endl;
	cout << "0. Turn CAT ON" << endl;
	cout << "1. Turn CAT OFF" << endl;
	cout << "2. Set Main VFO to 145.678 MHz" << endl;
	cout << "3. Set Main VFO to 432.109 MHz" << endl;
	cout << "4. Exit test program" << endl;
	cout << "Please enter a test number:";
}

struct COMMAND {
	UCHAR	Msg[5];
};

const UINT MAXTESTNUMBER = 4;

const COMMAND Command[MAXTESTNUMBER] = {
	{ 0x00, 0x00, 0x00, 0x00, 0x00 }, // CAT ON
	{ 0x00, 0x00, 0x00, 0x00, 0x80 }, // CAT OFF
	{ 0x14, 0x56, 0x78, 0x00, 0x01 }, // Main VFO = 145.678
	{ 0x43, 0x21, 0x09, 0x00, 0x01 }  // Main VFO = 432.109
};

main() {
	cout << "FT-847 Test program 1" << endl;
	cout << "Runs on COM 1 at 4800 bps" << endl;

	// Set up COM port
	COMDRV	Com;
	Com.Open(1,	// COM port
		 4800,	// bps
		 8,	// bits
		 UARTPARITY_NONE, // pretty clear!
		 2);	// stop bits
		
	// Loop until user quits
	UINT	unTestNumber;
	BOOL	eDone = BOOL_FALSE;

	do {
		DisplayList();
		cin >> unTestNumber;
		if (unTestNumber >= MAXTESTNUMBER) {
			eDone = BOOL_TRUE;
		}
		else {
			// Send command
			Com.Write(&Command[unTestNumber], 5);
		}
	} while (!eDone);

	Com.Close();

	cout << "Thanks for running this test!" << endl;
	cout << "73, Tony AA2TX" << endl;
	return 0;
}
