// TEST 1 of FT-847


#include <iostream.h>
#include "loctypes.h"
#include "radio.hpp"

static RADIOPARAMS Params = {

	RADIOTYPE_FT847, // Manufacturer/Model
	BOOL_FALSE,	// TRUE if using both TX and RX

	// I/O Params
	2, 		// COM or LPT Port number
	0, 		// IO port Base Address

	// Serial port Radios only
	0, 		// IRQ Number
	0, 		// Port bit Rate
	0,		// Radio Destination Address (ICOM)

	// Parallel port radios only
	0,		// initial frequency
	0,		// frequency step size

	// Frequency Converters
	0.0,		//dRxConverter;
	0.0		//dTxConverter;
};

main() {
	cout << "FT-847 Test program 1" << endl;
	//cout << "TS450 Test program 1" << endl;
	cout << "This program tests half-duplex mode" << endl;

	cout << endl << "Entering CAT mode" << endl;
	RADIOSYSTEM* pRadio = RADIOSYSTEM::NewInstance(Params);
	if (!pRadio) {
		cout << "ERROR - Driver failed to initialize" << endl;
		return -1;
	}

	// Loop until user quits
	BOOL eLoop = BOOL_TRUE;
	DOUBLE dFrequency;
	UINT unParam;
	while(1) {
		cout << "Please enter frequency in MHz: ";
		cin >> dFrequency;
		dFrequency *= 1.0e6;
		pRadio->SetTxFreq(dFrequency);

		cout << "Please enter a mode or 0 to quit" << endl;
		cout << "(1=LSB, 2=USB, 3=CW, 4=FM): ";
		cin >> unParam;
		if (unParam == 0) {
			break;
		}
		else {
			pRadio->SetTxMode((MODULATION) unParam);
		}

	}
	cout << "Thanks for running this test!" << endl;
	cout << "Turning off CAT mode" << endl;
	delete pRadio;
	return 0;
}
