ORIGIN = PWB
ORIGIN_VER = 2.0
PROJ = TEST1
PROJFILE = TEST1.MAK
DEBUG = 1

CC  = cl
CFLAGS_G  = /W2 /BATCH
CFLAGS_D  = /f /Zi /Od
CFLAGS_R  = /f- /Ot /Oi /Ol /Oe /Og /Gs
CXX  = cl
CXXFLAGS_G  = /W3 /G2 /WX /BATCH
CXXFLAGS_D  = /f- /Od /Zi
CXXFLAGS_R  = /f- /Ot /Ol /Og /Oe /Oi /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /STACK:2048 /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /FAR /PACKC
LFLAGS_R  = /EXE /FAR /PACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e

FILES  = INTTIMER.CPP COMDRV.CPP DOSPC.CPP KENWOOD.CPP PICDRV.CPP PPDRV.CPP\
	RADIO.CPP SLINK.CPP TEST1X.CPP FT847.CPP DEBUG.CPP FT736.CPP\
	KBDTUNE.CPP MBRADIO.CPP FT100.CPP ICOM.CPP ICOMMSG.CPP
OBJS  = INTTIMER.obj COMDRV.obj DOSPC.obj KENWOOD.obj PICDRV.obj PPDRV.obj\
	RADIO.obj SLINK.obj TEST1X.obj FT847.obj DEBUG.obj FT736.obj\
	KBDTUNE.obj MBRADIO.obj FT100.obj ICOM.obj ICOMMSG.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .cpp

INTTIMER.obj : INTTIMER.CPP inttimer.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoINTTIMER.obj INTTIMER.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoINTTIMER.obj INTTIMER.CPP
<<
!ENDIF

COMDRV.obj : COMDRV.CPP comdrv.hpp loctypes.h dospc.h fastfifo.hpp uartdrv.hpp\
	picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoCOMDRV.obj COMDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoCOMDRV.obj COMDRV.CPP
<<
!ENDIF

DOSPC.obj : DOSPC.CPP dospc.h loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoDOSPC.obj DOSPC.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoDOSPC.obj DOSPC.CPP
<<
!ENDIF

KENWOOD.obj : KENWOOD.CPP kenwood.hpp loctypes.h radio.hpp slink.hpp\
	modulate.hpp comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp\
	picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoKENWOOD.obj KENWOOD.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoKENWOOD.obj KENWOOD.CPP
<<
!ENDIF

PICDRV.obj : PICDRV.CPP picdrv.hpp loctypes.h dospc.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPICDRV.obj PICDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPICDRV.obj PICDRV.CPP
<<
!ENDIF

PPDRV.obj : PPDRV.CPP ppdrv.hpp loctypes.h dospc.h inttimer.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoPPDRV.obj PPDRV.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoPPDRV.obj PPDRV.CPP
<<
!ENDIF

RADIO.obj : RADIO.CPP radio.hpp kenwood.hpp mbradio.hpp ft736.hpp ft847.hpp\
	ft100.hpp icom.hpp loctypes.h modulate.hpp slink.hpp ppdrv.hpp\
	kbdtune.hpp comdrv.hpp inttimer.hpp icommsg.hpp dospc.h picdrv.hpp\
	fastfifo.hpp uartdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoRADIO.obj RADIO.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoRADIO.obj RADIO.CPP
<<
!ENDIF

SLINK.obj : SLINK.CPP slink.hpp loctypes.h comdrv.hpp inttimer.hpp dospc.h\
	fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoSLINK.obj SLINK.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoSLINK.obj SLINK.CPP
<<
!ENDIF

TEST1X.obj : TEST1X.CPP loctypes.h dospc.h inttimer.hpp radio.hpp modulate.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoTEST1X.obj TEST1X.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoTEST1X.obj TEST1X.CPP
<<
!ENDIF

FT847.obj : FT847.CPP ft847.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT847.obj FT847.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT847.obj FT847.CPP
<<
!ENDIF

DEBUG.obj : DEBUG.CPP debug.hpp loctypes.h
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoDEBUG.obj DEBUG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoDEBUG.obj DEBUG.CPP
<<
!ENDIF

FT736.obj : FT736.CPP ft736.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	kbdtune.hpp modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT736.obj FT736.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT736.obj FT736.CPP
<<
!ENDIF

KBDTUNE.obj : KBDTUNE.CPP kbdtune.hpp loctypes.h modulate.hpp dospc.h\
	picdrv.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoKBDTUNE.obj KBDTUNE.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoKBDTUNE.obj KBDTUNE.CPP
<<
!ENDIF

MBRADIO.obj : MBRADIO.CPP mbradio.hpp loctypes.h ppdrv.hpp radio.hpp\
	kbdtune.hpp dospc.h inttimer.hpp modulate.hpp picdrv.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoMBRADIO.obj MBRADIO.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoMBRADIO.obj MBRADIO.CPP
<<
!ENDIF

FT100.obj : FT100.CPP ft100.hpp loctypes.h radio.hpp comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoFT100.obj FT100.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoFT100.obj FT100.CPP
<<
!ENDIF

ICOM.obj : ICOM.CPP icom.hpp loctypes.h radio.hpp icommsg.hpp modulate.hpp\
	comdrv.hpp inttimer.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp\
	uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoICOM.obj ICOM.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoICOM.obj ICOM.CPP
<<
!ENDIF

ICOMMSG.obj : ICOMMSG.CPP icommsg.hpp loctypes.h comdrv.hpp inttimer.hpp\
	modulate.hpp dospc.h fastfifo.hpp uartdrv.hpp picdrv.hpp uartbase.hpp
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /FoICOMMSG.obj ICOMMSG.CPP
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /FoICOMMSG.obj ICOMMSG.CPP
<<
!ENDIF


$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.cpp.obj :
!IF $(DEBUG)
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_D) /Fo$@ $<
<<
!ELSE
	@$(CXX) @<<$(PROJ).rsp
/c $(CXXFLAGS_G)
$(CXXFLAGS_R) /Fo$@ $<
<<
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
