// TEST for ft-100
// file: test100.cpp
// Version 1.0a
// Date: 7/15/00

#include <iostream.h>
#include <iomanip.h>
#include "loctypes.h"
#include "comdrv.hpp"

const UCHAR aSpecial[] = {
	
	0, 0, 0, 0x01, 0x05,		// Set VFO B
	0x34, 0x12, 0x50, 0x43, 0x0a,	// Send set Freq
	0, 0, 0, 0x00, 0x05		// Set VFO A
};


main() {
	cout << "FT-100 Test program" << endl;
	cout << "Runs on COM 2 at 4800 bps" << endl;
	cout << "To stop, enter -1" << endl;
	cout << "To run special test, enter -2" << endl;

	// Set up COM port
	COMDRV	Com;
	Com.Open(2,	// COM port
		 4800,	// bps
		 8,	// bits
		 UARTPARITY_NONE, // pretty clear!
		 2);	// stop bits
		


	
	INT	nKbdInput;	// input byte from keyboard
	INT	nCount;
	UCHAR	aOutputBuffer[5];

	const UINT	unInputBufferSize(50);
	UCHAR	aInputBuffer[unInputBufferSize];

	// All i/o in hex
	cout << hex;
	cin >> hex;

	do {
		//*****************************************
		//	Get radio command from user
		//
		//	Note that FT-100 commands are in
		// 	in reverse order from the manual
		//	so we will "flip" them.
		//*****************************************
		cout << "cmd: ";

		nCount = 4;	// input counter (counts down)

		// Get the first byte
		cin >> nKbdInput;
		if (nKbdInput == -1) {
			break;
		}
		if (nKbdInput == -2) {
			// Run special Test
			Com.Write(aSpecial, sizeof(aSpecial));
		}
		else {
			aOutputBuffer[nCount--] = (UCHAR) nKbdInput;

			// Get the rest
			do {
				cin >> nKbdInput;
				aOutputBuffer[nCount--] = (UCHAR) nKbdInput;
			} while (nCount >= 0);

			//*****************************************
			//	Send cmd to radio 
			//*****************************************
			Com.Write(aOutputBuffer, 5);
		}
		
		//*****************************************
		//	Get response (if any) and display
		//*****************************************
		sleep(2);
		INT nResponse = Com.Read(aInputBuffer, unInputBufferSize);
		cout << "DEBUG: nResponse = " << nResponse << endl;
/*****
		if (nResponse > 0) {
			cout << "rsp:";
			for (INT i=0; i < nResponse; i++) {
				// put a comma every 5 chars
				if ((i!=0) && (i % 5) == 0) {
					cout <<",";
				}
				cout << " " << (INT) aInputBuffer[i];
			}
			cout << endl;
		}
*****/
		
	} while (BOOL_TRUE);

	// break goes to here

	Com.Close();

	cout << "Thanks for running this test!" << endl;
	cout << "73, Tony AA2TX" << endl;

	return 0;
}
